QGIS Application - Feature request #9934
Rotation of features in Map Composer
2014-03-28 08:48 AM - Jonathan Ball

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Composer/Printing

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 18439
Description

The new ability to rotate features in the Map Composer in version 2.2 is great except you cannot enter negative angles. Allowing negative
angles would be a good addition because it allows more sensible rotation of text boxes (rotating a text box by 315 degrees is NOT the
same as rotating by -45 degrees because in the former example the text ends up upside down).

History

#1 - 2014-04-20 04:19 PM - Nyall Dawson
- Assignee set to Nyall Dawson
- Category set to Map Composer/Printing

| agree that negative rotation is a good feature to have, but why would rotating by -45 degrees result in upside down text? Unless I'm missing something it
would result in text from bottom left to top right, the same as a 315 degree rotation.

#2 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#3 - 2018-01-21 06:08 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in 3.0

#4 - 2018-02-21 09:41 PM - Giovanni Manghi
- Resolution set to fixed/implemented
